propellor-5.10.1: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell98

Propellor.Property.Uboot

Synopsis

- type BoardName = String
- sunxi :: BoardName -> Property (HasInfo + DebianLike)

# Documentation

type BoardName = String Source #

Name of a board.

sunxi :: BoardName -> Property (HasInfo + DebianLike) Source #

Installs u-boot for Allwinner/sunxi platforms.

This includes writing it to the boot sector.